# Uses of Interface
java.util.function.IntConsumer

Packages that use IntConsumer
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.function
Functional interfaces provide target types for lambda expressions and method references.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of IntConsumer in java.util

Classes in java.util that implement IntConsumer
Modifier and Type
Class
Description
`class`
`IntSummaryStatistics`
A state object for collecting statistics such as count, min, max, sum, and average.
`class`
`LongSummaryStatistics`
A state object for collecting statistics such as count, min, max, sum, and average.
Subinterfaces with type arguments of type IntConsumer in java.util
Modifier and Type
Interface
Description
`static interface`
`PrimitiveIterator.OfInt`
An Iterator specialized for `int` values.
`static interface`
`Spliterator.OfInt`
A Spliterator specialized for `int` values.
Methods in java.util with parameters of type IntConsumer
Modifier and Type
Method
Description
`default void`
PrimitiveIterator.OfInt.`forEachRemaining(IntConsumer action)`
Performs the given action for each remaining element until all elements have been processed or the action throws an exception.
`void`
OptionalInt.`ifPresent(IntConsumer action)`
If a value is present, performs the given action with the value, otherwise does nothing.
`void`
OptionalInt.`ifPresentOrElse(IntConsumer action, Runnable emptyAction)`
If a value is present, performs the given action with the value, otherwise performs the given empty-based action.

## Uses of IntConsumer in java.util.function

Methods in java.util.function that return IntConsumer
Modifier and Type
Method
Description
`default IntConsumer`
IntConsumer.`andThen(IntConsumer after)`
Returns a composed `IntConsumer` that performs, in sequence, this operation followed by the `after` operation.
Methods in java.util.function with parameters of type IntConsumer
Modifier and Type
Method
Description
`default IntConsumer`
IntConsumer.`andThen(IntConsumer after)`
Returns a composed `IntConsumer` that performs, in sequence, this operation followed by the `after` operation.

## Uses of IntConsumer in java.util.stream

Subinterfaces of IntConsumer in java.util.stream
Modifier and Type
Interface
Description
`static interface`
`IntStream.Builder`
A mutable builder for an `IntStream`.
Methods in java.util.stream with parameters of type IntConsumer
Modifier and Type
Method
Description
`void`
IntStream.IntMapMultiConsumer.`accept(int value, IntConsumer ic)`
Replaces the given `value` with zero or more values by feeding the mapped values to the `ic` consumer.
`void`
IntStream.`forEach(IntConsumer action)`
Performs an action for each element of this stream.
`void`
IntStream.`forEachOrdered(IntConsumer action)`
Performs an action for each element of this stream, guaranteeing that each element is processed in encounter order for streams that have a defined encounter order.
`IntStream`
IntStream.`peek(IntConsumer action)`
Returns a stream consisting of the elements of this stream, additionally performing the provided action on each element as elements are consumed from the resulting stream.
Method parameters in java.util.stream with type arguments of type IntConsumer
Modifier and Type
Method
Description
`default IntStream`
Stream.`mapMultiToInt(BiConsumer<? super T, ? super IntConsumer> mapper)`
Returns an `IntStream` consisting of the results of replacing each element of this stream with multiple elements, specifically zero or more elements.